import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.ListItems 1.0 as ListItem
import Dekko.Theme 0.2

Rectangle {
    property alias text: sectionLabel.text
    property alias showDivider: divider.visible
    property alias targetHeight: sectionLabel.height
    anchors {
        left: parent.left
        right: parent.right
    }
    height: sectionLabel.height
    color: Style.common.background
    Label {
        id: sectionLabel
        anchors {
            left: parent.left
            leftMargin: units.gu(2)
            right: parent.right
            rightMargin: units.gu(2)
        }
        color: Style.common.text
        height: units.gu(4)
        fontSize: "medium"
        font.weight: Font.DemiBold
        verticalAlignment: Text.AlignVCenter
        
    }
    ListItem.ThinDivider {
        id: divider
        anchors {
            left: parent.left
            right: parent.right
            bottom: parent.bottom
        }
    }
}
