/* Copyright (C) 2014-2016 Dan Chapman <dpniel@ubuntu.com>

   This file is part of the dekko

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3 or any later version
   accepted by the membership of KDE e.V. (or its successor approved
   by the membership of KDE e.V.), which shall act as a proxy
   defined in Section 14 of version 3 of the license.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import QtQuick 2.4
import Ubuntu.Components 1.3
import Dekko.Theme 0.2
import "../../Components"

ListItemWithActions {
    id: delegate

    property string name
    property string mimeType
    property string size
    property string iconName

    signal showPreview()
    signal remove()
    showDivider: true
    height: layout.implicitHeight
    width: parent.width
    ListItemLayout {
        id: layout
        title.text: name
        title.font.weight: Style.common.fontWeight
        subtitle.text: ("%1, %2").arg(mimeType).arg(size)
        subtitle.font.weight: Style.common.fontWeight

        Item {
            id: img
            readonly property string prefix: "image/"
            readonly property bool isImageType: mimeType.slice(0, prefix.length) === prefix
            height: units.gu(4)
            width: height
            ImageWithFallBack {
                id: attachIcon
                source: "image://theme/" + iconName + "-symbolic"
                fallbackSource: "image://theme/empty-symbolic"
                height: units.gu(3)
                width: height
                anchors.centerIn: parent
            }
            SlotsLayout.position: SlotsLayout.Leading
        }
    }
    leftSideAction:Action {
        iconName: "delete"
        onTriggered: delegate.remove()
    }
}

