/* Copyright (C) 2014-2016 Dan Chapman <dpniel@ubuntu.com>

   This file is part of the dekko

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3 or any later version
   accepted by the membership of KDE e.V. (or its successor approved
   by the membership of KDE e.V.), which shall act as a proxy
   defined in Section 14 of version 3 of the license.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import QtQuick 2.4
import Ubuntu.Components 1.3
import Dekko.Theme 0.2
import "../../Components"

ListItemWithActions {
    id: identity

    property string name
    property string email
    property alias description: description.text
    property alias isSelected: highlight.visible
    width: parent ? parent.width : undefined
    height: layout.implicitHeight
    showDivider: true
    onNameChanged: {
        if (name) {
            avatar.name = name
            avatar.initials = Style.avatar.getInitialsForName(name)
        }
    }
    onEmailChanged: {
        if (email) {
            avatar.email = email
        }
    }

    Rectangle {
        id: highlight
//        visible: model.index === msgComposer.identities.selectedIndex
        anchors.fill: parent
        color: Qt.rgba(0, 0, 0, 0.05)
    }

    ListItemLayout {
        id: layout
        title.text: name
        title.font.weight: Style.common.fontWeight
        subtitle.text: email
        subtitle.font.weight: Style.common.fontWeight
        Avatar {
            id: avatar
            height: units.gu(4)
            validContact: true
            fontSize: "x-small"
            SlotsLayout.position: SlotsLayout.Leading
        }

    }

    Label {
        id:description
        anchors {
            right: parent.right
            top: parent.top
            rightMargin: units.gu(2)
            topMargin: units.gu(1)
        }
        color: Qt.lighter(Style.common.text)
        font.weight: Style.common.fontWeight
        fontSize: "small"
    }
}

