/* Copyright (C) 2014-2016 Dan Chapman <dpniel@ubuntu.com>

   This file is part of the dekko

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3 or any later version
   accepted by the membership of KDE e.V. (or its successor approved
   by the membership of KDE e.V.), which shall act as a proxy
   defined in Section 14 of version 3 of the license.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.1
import Dekko.Theme 0.2
import "../../Components"
import "../../Utils/Utils.js" as Utils

UbuntuShape {
    id: delegate
    property string text: ""
    property string emailAddress
    signal remove()
    aspect: UbuntuShape.Flat
    color: Qt.rgba(0, 0, 0, 0.05)
    radius: "small"
    height: units.gu(3)
    width: inner_avatar.width + label.width + units.gu(1.5)

    Avatar {
        id: inner_avatar
        width: height
        anchors {
            left: parent.left
            top: parent.top
            bottom: parent.bottom
            margins: units.dp(1)
        }
        name: model.name
        initials: inner_avatar.name ? Style.avatar.getInitialsForName(model.name) : ":D"
        email: model.email
        fontSize: "x-small"
        validContact: true
    }

    Label {
        id: label
        anchors {
            left: inner_avatar.right
            leftMargin: units.gu(0.5)
            verticalCenter: parent.verticalCenter
        }
        text: delegate.text
        font.weight: Style.common.fontWeight
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            var info = PopupUtils.open(Qt.resolvedUrl("RecipientInfo.qml"), delegate, {model: model.qtObject})
            info.remove.connect(delegate.remove)
        }
    }
}

