/* Copyright (C) 2014-2016 Dan Chapman <dpniel@ubuntu.com>

   This file is part of the dekko

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3 or any later version
   accepted by the membership of KDE e.V. (or its successor approved
   by the membership of KDE e.V.), which shall act as a proxy
   defined in Section 14 of version 3 of the license.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import QtQuick 2.4
import Ubuntu.Components 1.3
import Dekko.Theme 0.2
import Dekko.Composition 0.2

Item {
    id: typeLabelContainer
    property alias text: typeLabel.text

    width: typeLabel.width
    anchors {
        left: parent.left
        leftMargin: units.gu(2)
        top: parent.top
    }
    function getRecipientKindName(kind) {
        switch (kind) {
        case Recipient.TO:
            return qsTr("To");
        case Recipient.CC:
            return qsTr("Cc");
        case Recipient.BCC:
            return qsTr("Bcc");
        }
    }
    Behavior on height {
        UbuntuNumberAnimation{}
    }
    Label {
        id: typeLabel
        anchors {
            left: parent.left
            verticalCenter: parent.verticalCenter
        }
        font.weight: Style.common.fontWeight
    }
}

