/* Copyright (C) 2014-2016 Dan Chapman <dpniel@ubuntu.com>

   This file is part of the dekko

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3 or any later version
   accepted by the membership of KDE e.V. (or its successor approved
   by the membership of KDE e.V.), which shall act as a proxy
   defined in Section 14 of version 3 of the license.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.1
import Dekko.Theme 0.2
import Dekko.Utils 0.2
import "../Components"

Page {
    id: sourceViewer
    flickable: null

    property alias messageIndex: messageCombiner.messageIndex

    DekkoHeader {
        id: header
        title: qsTr("Message source")
        anchors {
            left: parent.left
            top: parent.top
            right: parent.right
        }
        backAction: backAction
    }

    Action {
        id: backAction
        iconName: "back"
        onTriggered: rootPageStack.pop()
    }

    FullMessageCombiner {
        id: messageCombiner
        onFailed: {
            PopupUtils.open(Qt.resolvedUrl("../Dialogs/InfoDialog.qml"),
                            sourceViewer,
                            {
                                title: qsTr("Error"),
                                text: message,
                                buttonAction: backAction
                            })
        }
    }

    TextArea {
        id: textArea
        font.weight: Style.common.fontWeight
        anchors {
            top: header.bottom
            left: parent.left
            right: parent.right
            bottom: parent.bottom
        }
        text: messageCombiner.data
        readOnly: true
    }

    ActivityIndicator {
        anchors.centerIn: textArea
        running: messageCombiner.loading
    }
}

