import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.ListItems 1.0 as ListItem
import "../../Components"

Page {
    id: globalSettings

    flickable: null

    DekkoHeader {
        id: header
        title: qsTr("Settings")
        backAction: settingsBackAction
        primaryAction: Action {
            iconName: "info"
            onTriggered: internalStack.push(Qt.resolvedUrl("../AboutPage.qml"))
        }
        extend: !dekko.viewState.isSmallFF
    }

    property string previousView

    Action {
        id: settingsBackAction
        iconName: "back"
        onTriggered: {
            internalStack.pop()
            console.log("AccountsManagerCount", dekko.accountsManager.count)
        }
    }

    ListView {
        anchors {
            top: header.bottom
            left: parent.left
            right: parent.right
            bottom: parent.bottom
        }
        model: GlobalSettingsListModel {}
        clip: true
    }
}

