/* Copyright (C) 2014-2016 Dan Chapman <dpniel@ubuntu.com>

   This file is part of Dekko email client for Ubuntu Devices/

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import QtQuick 2.4
import QtQml.StateMachine 1.0 as DSM
import Dekko.Accounts 0.2

DSM.State {
    id: identityInput
    signal inputComplete()
    signal back()

    property alias backTargetState: backTransition.targetState
    property alias nextTargetState: nextTransition.targetState

    onEntered: {
        currentComponent = Qt.createComponent(Qt.resolvedUrl("IdentityInput.qml"))
        loader.item.inputComplete.connect(identityInput.inputComplete)
        loader.item.back.connect(back)
    }

    onExited: {
        loader.item.inputComplete.disconnect(identityInput.inputComplete)
        loader.item.back.disconnect(back)
    }

    DSM.SignalTransition {
        id: backTransition
        targetState: accountType === NewAccountType.PRESET ? userInputState : manualInput
        signal: identityInput.back
    }

    DSM.SignalTransition {
        id: nextTransition
        targetState: descriptionInput
        signal: identityInput.inputComplete
    }
}
