/* Copyright (C) 2014-2016 Dan Chapman <dpniel@ubuntu.com>

   This file is part of Dekko email client for Ubuntu Devices/

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import QtQuick 2.4
import Ubuntu.Components 1.3
import Dekko.Accounts 0.2
import "../Components"

Page {
    id: newAccountPage
    objectName: "accountTypeListPage"
    flickable: null
    signal next()
    signal createNewOA()
    signal back()
    DekkoHeader {
        id: header
        title: qsTr("New Account")
        backAction: Action {
            iconName: "back"
            onTriggered: back()
        }
    }

    NewAccountTypeListView {
        objectName: "accountTypeList"
        anchors {
            top: header.bottom
            left: parent.left
            right: parent.right
            bottom: parent.bottom
        }

        onConfigureForProvider: {
            wizard.selectedPreset = serviceInfo
            wizard.accountType = NewAccountType.PRESET
            next()
        }
        onConfigureImapAccount: {
            wizard.accountType = NewAccountType.IMAP
            next()
        }
        onConfigureSmtpAccount: {
            wizard.accountType = NewAccountType.SMTP
            next()
        }

        onConfigureOnlineAccount: {
            console.log("Configure an account to use online accounts")
            createNewOA()
        }
    }
}
