/* Copyright (C) 2014-2016 Dan Chapman <dpniel@ubuntu.com>

   This file is part of Dekko email client for Ubuntu Devices/

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import QtQuick 2.4
import QtQml.StateMachine 1.0 as DSM

DSM.State {
    id: newAccount
    signal next()
    signal back()
    signal createNewOA()

    property alias backTargetState: backState.targetState
    property alias nextTargetState: nextState.targetState
    property alias newOAState: createNewUOA.targetState

    function determineBackOrPop() {
        if (wizard.hasAccounts) {
            rootPageStack.pop()
        } else {
            back()
        }
    }

    onEntered: {
        currentComponent = Qt.createComponent(Qt.resolvedUrl("NewAccountPage.qml"))
        loader.item.next.connect(next)
        loader.item.back.connect(determineBackOrPop)
        loader.item.createNewOA.connect(createNewOA)

    }
    onExited: {
        loader.item.createPreset.disconnect(createPreset)
        loader.item.back.disconnect(back)
    }

    DSM.SignalTransition {
        id: backState
        signal: newAccount.back
    }

    DSM.SignalTransition {
        id: nextState
        signal: newAccount.next
    }

    DSM.SignalTransition {
        id: createNewUOA
        signal: newAccount.createNewOA
    }
}
