/* Copyright (C) 2014-2016 Dan Chapman <dpniel@ubuntu.com>

   This file is part of Dekko email client for Ubuntu Devices/

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import QtQuick 2.4
import Ubuntu.Components 1.3
import Dekko.Theme 0.2
import "../Components"
import "../UCSComponents"

Item {
    id: accountsPage
    objectName: "noAccountsPage"
    anchors.fill: parent

    DekkoHeader {
        id: header
        width: parent.width
        height: units.gu(7)
        title: qsTr("Accounts")
        backAction: dekko.accountsManager.count > 0 ? bkAction : null
    }

    Action {
        id: bkAction
        iconName: "back"
        onTriggered: accountsPage.quit()
    }

    signal createAccount()
    signal quit()

    EmptyState {
        id: emptyState
        iconName: "account"
        iconHeight: units.gu(20)
        title: qsTr("No email account is setup yet. Add one?")
        anchors {
            left: parent.left
            top: header.bottom
            topMargin: units.gu(7)
            right: parent.right
        }
    }

    Button {
        id: btn
        objectName: "addAccountButton"
        anchors {
            top: emptyState.bottom
            topMargin: units.gu(4)
            horizontalCenter: parent.horizontalCenter
        }
        visible: emptyState.visible
        text: qsTr("Add account")
        width: units.gu(20)
        height: units.gu(5)
        onClicked: accountsPage.createAccount()
        color: Style.buttons.stroke
    }

}
